Package org.eclipse.birt.chart.model

# Interface IChartObject

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Subinterfaces:
  `AccessibilityValue`, `Action`, `ActionValue`, `Angle3D`, `AreaSeries`, `Axis`, `AxisOrigin`, `BarSeries`, `BaseSampleData`, `BigNumberDataElement`, `Block`, `Bounds`, `BubbleDataSet`, `BubbleSeries`, `CallBackValue`, `Chart`, `ChartPreferences`, `ChartWithAxes`, `ChartWithoutAxes`, `ClientArea`, `ColorDefinition`, `Cursor`, `CurveFitting`, `DataElement`, `DataPoint`, `DataPointComponent`, `DataSet`, `DateFormatSpecifier`, `DateTimeDataElement`, `DateTimeDataSet`, `Dial`, `DialChart`, `DialRegion`, `DialSeries`, `DifferenceDataSet`, `DifferenceSeries`, `EmbeddedImage`, `ExtendedProperty`, `Fill`, `FontDefinition`, `FormatSpecifier`, `FractionNumberFormatSpecifier`, `GanttDataSet`, `GanttSeries`, `Gradient`, `Grid`, `Image`, `Insets`, `Interactivity`, `JavaDateFormatSpecifier`, `JavaNumberFormatSpecifier`, `Label`, `LabelBlock`, `Legend`, `LineAttributes`, `LineSeries`, `Location`, `Location3D`, `Marker`, `MarkerLine`, `MarkerRange`, `MultipleActions`, `MultipleFill`, `MultiURLValues`, `Needle`, `NullDataSet`, `NumberDataElement`, `NumberDataSet`, `NumberFormatSpecifier`, `OrthogonalSampleData`, `Palette`, `PatternImage`, `PieSeries`, `Plot`, `Query`, `Rotation3D`, `Rule`, `SampleData`, `Scale`, `ScatterSeries`, `ScriptValue`, `Series`, `SeriesDefinition`, `SeriesGrouping`, `SeriesValue`, `Size`, `StockDataSet`, `StockSeries`, `StringFormatSpecifier`, `Style`, `StyleMap`, `Text`, `TextAlignment`, `TextDataElement`, `TextDataSet`, `TitleBlock`, `TooltipValue`, `Trigger`, `URLValue`

All Known Implementing Classes:
  `AccessibilityValueImpl`, `ActionImpl`, `ActionValueImpl`, `Angle3DImpl`, `AreaSeriesImpl`, `AxisImpl`, `AxisOriginImpl`, `BarSeriesImpl`, `BaseSampleDataImpl`, `BigNumberDataElementImpl`, `BlockImpl`, `BoundsImpl`, `BubbleDataSetImpl`, `BubbleSeriesImpl`, `CallBackValueImpl`, `ChartImpl`, `ChartPreferencesImpl`, `ChartWithAxesImpl`, `ChartWithoutAxesImpl`, `ClientAreaImpl`, `ColorDefinitionImpl`, `CursorImpl`, `CurveFittingImpl`, `DataElementImpl`, `DataPointComponentImpl`, `DataPointImpl`, `DataSetImpl`, `DateFormatSpecifierImpl`, `DateTimeDataElementImpl`, `DateTimeDataSetImpl`, `DialChartImpl`, `DialImpl`, `DialRegionImpl`, `DialSeriesImpl`, `DifferenceDataSetImpl`, `DifferenceSeriesImpl`, `EmbeddedImageImpl`, `ExtendedPropertyImpl`, `FillImpl`, `FontDefinitionImpl`, `FormatSpecifierImpl`, `FractionNumberFormatSpecifierImpl`, `GanttDataSetImpl`, `GanttSeriesImpl`, `GradientImpl`, `GridImpl`, `ImageImpl`, `InsetsImpl`, `InteractivityImpl`, `JavaDateFormatSpecifierImpl`, `JavaNumberFormatSpecifierImpl`, `LabelBlockImpl`, `LabelImpl`, `LegendImpl`, `LineAttributesImpl`, `LineSeriesImpl`, `Location3DImpl`, `LocationImpl`, `MarkerImpl`, `MarkerLineImpl`, `MarkerRangeImpl`, `MultipleActionsImpl`, `MultipleFillImpl`, `MultiURLValuesImpl`, `NeedleImpl`, `NullDataSetImpl`, `NumberDataElementImpl`, `NumberDataSetImpl`, `NumberFormatSpecifierImpl`, `OrthogonalSampleDataImpl`, `PaletteImpl`, `PatternImageImpl`, `PieSeriesImpl`, `PlotImpl`, `QueryImpl`, `Rotation3DImpl`, `RuleImpl`, `SampleDataImpl`, `ScaleImpl`, `ScatterSeriesImpl`, `ScriptValueImpl`, `SeriesDefinitionImpl`, `SeriesGroupingImpl`, `SeriesImpl`, `SeriesValueImpl`, `SizeImpl`, `StockDataSetImpl`, `StockSeriesImpl`, `StringFormatSpecifierImpl`, `StyleImpl`, `StyleMapImpl`, `TextAlignmentImpl`, `TextDataSetImpl`, `TextImpl`, `TitleBlockImpl`, `TooltipValueImpl`, `TriggerImpl`, `URLValueImpl`

public interface IChartObject extends org.eclipse.emf.ecore.EObject
Root interface of all chart's model objects.

## Method Summary

Modifier and Type
Method
Description
`IChartObject`
`copyInstance()`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### copyInstance

IChartObject copyInstance()